Bug 413691 - ohci_hcd prevent processor sleeping
ohci_hcd prevent processor sleeping
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
All Linux
low Severity high
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2007-12-06 05:12 EST by Philip Frampton
Modified: 2009-07-14 11:40 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-07-14 11:40:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Philip Frampton 2007-12-06 05:12:20 EST
Description of problem:
Using powertop the most significant wakeups per second come from ohci_hcd
interrupt. The processor also never enters any C states below C0. Unplugging the
two USB devices (usb mouse, and internal bluetooth - disabled by switch) reduce
the wakeups but the processor still doesn't use anything below C0.

"rmmod ohci_hcd" solves the problem and allows the CPU to sleep (C2 state).

The laptop in question is an HP nx6125. The problem existed with all F7 kernels,
all F8 kernels and the current (6th Dec 07) development kernel from rawhide.

I am passing the "usbcore.autosuspend=1" kernel parameter in grub.conf. This
make no difference.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
3.rmmod ohci_hcd
Actual results:
100% C0

Expected results:
<100% C0

Additional info:
There is a third USB device attached, a fingerprint scanner. This is not
associated with any driver but I am unable to disable it physically. As this
device is not controlled by a driver I assume it cannot be the reason for the
Comment 1 Bug Zapper 2008-05-14 00:06:22 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
Comment 2 Bug Zapper 2009-06-09 19:15:21 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
Comment 3 Bug Zapper 2009-07-14 11:40:17 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.